<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="product">
            <h2><span>Product</span> {{ product.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Shop Id</span></dt>
                <dd>
                    <span>{{ product.shopId }}</span>
                </dd>
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ product.name }}</span>
                </dd>
                <dt><span>Description</span></dt>
                <dd>
                    <span>{{ product.description }}</span>
                </dd>
                <dt><span>Policy</span></dt>
                <dd>
                    <span>{{ product.policy }}</span>
                </dd>
                <dt><span>Images</span></dt>
                <dd>
                    <span>{{ product.images }}</span>
                </dd>
                <dt><span>Active</span></dt>
                <dd>
                    <span>{{ product.active }}</span>
                </dd>
                <dt><span>Service</span></dt>
                <dd>
                    <div *ngIf="product.service">
                        <a [routerLink]="['/service', product.service?.id, 'view']">{{ product.service?.id }}</a>
                    </div>
                </dd>
                <dt><span>Sub Product Category</span></dt>
                <dd>
                    <div *ngIf="product.subProductCategory">
                        <a [routerLink]="['/sub-product-category', product.subProductCategory?.id, 'view']">{{ product.subProductCategory?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/product', product.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
